Relatório mensal de transações por categoria
curl --request GET \
--url https://api.juridiq.com.br/financial/transactions/by-tags/monthly-report \
--header 'x-juridiq-api-key: <api-key>'import requests
url = "https://api.juridiq.com.br/financial/transactions/by-tags/monthly-report"
headers = {"x-juridiq-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-juridiq-api-key': '<api-key>'}};
fetch('https://api.juridiq.com.br/financial/transactions/by-tags/monthly-report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"periods": [
"<string>"
],
"totalsByPeriod": {},
"grandTotals": {
"income": 123,
"expense": 123,
"balance": 123
},
"rows": [
{
"categoryId": "<string>",
"categoryName": "<string>",
"totals": {
"income": 123,
"expense": 123,
"balance": 123
},
"months": {},
"billId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"billName": "<string>"
}
]
}{
"message": "<string>",
"statusCode": 123,
"translateMessage": "<string>"
}Financial
Relatório mensal de transações por categoria
GET
/
financial
/
transactions
/
by-tags
/
monthly-report
Relatório mensal de transações por categoria
Authorizations
Chave de API do escritório (criada no painel). Envie o valor no header x-juridiq-api-key. A API aberta aplica rate limit por chave (veja a documentação de integradores).
Query Parameters
Data inicial
Data final
Período inicial (alternativo)
Período final (alternativo)
Busca geral
Busca por descrição
Busca por cliente
ID da categoria
incoming ou outcoming
ID da conta
paid ou pending
Campo de data
Available options:
date, paymentAt Período por data
Available options:
date, paymentDate Descrição
Valor
ID da pessoa
ID do processo
true ou false
true ou false

